.slideshow-wrapper {
  margin: 0;
  padding: 0;
  font-size: 0;
  width: 100vw;
  height: 60vh;
  white-space: nowrap;
  overflow: hidden;
  position: relative;
  padding-left: -10px;
  padding-right: -10px;
}

.slideshow-track {
  width: 100%;
  height: 100%;
  transform: translateX(0);
}

.slideshow-image-wrapper {
  display: inline-block;
  position: relative;
  width: 100%;
  height: 100%;
  margin-left: 0;
  margin-right: 0;
}

.slideshow-image-wrapper img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.slideshow-image-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
}

.slideshow-text-window {
  padding: 2rem;
  color: white;
  font-size: 20px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center;
  height: 100%;
  max-width: 700px;
  gap: 1rem;
}

.slideshow-text-window h3 {
  margin: 0;
  padding: 0;
  line-height: 2.5rem;
  font-size: 20px;
  word-wrap: break-word;
  white-space: pre-wrap;
  word-break: break-word;
  text-transform: uppercase;
  text-align: center;
}

.slideshow-text-window p {
  white-space: wrap;
  max-width: 100%;
  text-align: center;
  font-size: 14px;
}

.slideshow-text-window-button {
  background: transparent;
  padding: 0.8rem 2.5rem;
  display: block;
  width: fit-content;
  color: white;
  font-size: 20px;
  font-weight: 600;
  border-radius: 0.5rem;
  border: 3px solid white;
  font-weight: 500;
}

#slideshow-left {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 1rem;
  z-index: 200;
  color: white;
  font-size: 30px;
  border: none;
  cursor: pointer;
  background-color: rgba(255, 255, 255, 0.4);
  border-radius: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
}

#slideshow-right {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 1rem;
  z-index: 200;
  color: white;
  font-size: 30px;
  border: none;
  cursor: pointer;
  background-color: rgba(255, 255, 255, 0.4);
  border-radius: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
}

#slideshow-right img {
  height: 1.8rem;
}

#slideshow-left img {
  height: 1.8rem;
}

#slideshow-left:hover {
  opacity: 100%;
}

#slideshow-right:hover {
  opacity: 100%;
}

.slideshow-skeleton {
  background-color: #f0f0f0;
  border-radius: 4px;
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
  display: inline-block;
  margin-left: 0;
  margin-right: 0;
}

.slideshow-skeleton::before {
  content: "";
  position: absolute;
  left: -100%;
  top: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, #f0f0f0, #ccc, #f0f0f0);
  animation: loading 1s infinite;
}

@keyframes loading {
  100% {
    left: 100%;
  }
}

@media (min-width: 1024px) {
  .slideshow-image-overlay {
    padding-left: 16rem;
    padding-bottom: 3rem;
  }

  .slideshow-text-window h3 {
    font-size: 35px;
  }

  .slideshow-text-window p {
    font-size: 20px;
  }
}
